package com.iden.common.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


import java.io.Serializable;
import java.util.Date;

/**
 * 昼伏夜出人口识别预警统计表(IdenWarningEveningComeSta)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-22 20:19:16
 */

@Data
@ApiModel(value = "昼伏夜出人口识别预警统计表", description = "")
public class WarningEveningComeStaVO implements Serializable {
    private static final long serialVersionUID = 985331715970898803L;

    private Long id;


    @ApiModelProperty("所属小区id")
    private Long communityId;


    @ApiModelProperty("小区编号")
    private String communityCode;


    @ApiModelProperty("小区名称")
    private String communityName;


    @ApiModelProperty("所属区域")
    private String district;


    @ApiModelProperty("所属街道")
    private String subdistrict;


    @ApiModelProperty("昼伏夜出人员总数")
    private Long eveningComeCount;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("数据日期")
    private Date dataDate;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("createTime")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("modifyTime")
    private Date modifyTime;


}
