package com.iden.common.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


import java.io.Serializable;
import java.util.Date;

/**
 * 重点人员识别预警统计表(IdenWarningKeynoteSta)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-23 11:08:19
 */

@Data
@ApiModel(value = "重点人员识别预警统计表", description = "")
public class WarningKeynoteStaVO implements Serializable {
    private static final long serialVersionUID = -48099154074943251L;

    private Long id;


    @ApiModelProperty("所属小区id")
    private Long communityId;


    @ApiModelProperty("小区编号")
    private String communityCode;


    @ApiModelProperty("小区名称")
    private String communityName;


    @ApiModelProperty("所属区域")
    private String district;


    @ApiModelProperty("所属街道")
    private String subdistrict;


    @ApiModelProperty("重点人员总数")
    private Long keynoteCount;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("数据日期")
    private Date dataDate;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("createTime")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("modifyTime")
    private Date modifyTime;


}
