package com.iden.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 摄像机视频表(IdenCameraVideo)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-24 16:38:30
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_camera_video")
@ApiModel(value = "摄像机视频表", description = "")
public class IdenCameraVideo implements Serializable {
    private static final long serialVersionUID = -96192050731661605L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("摄像头ID")
    @TableField("CAMERA_ID")
    private Long cameraId;


    @ApiModelProperty("小区ID")
    @TableField("COMMUNITY_ID")
    private Long communityId;


    @ApiModelProperty("视频")
    @TableField("VIDEO")
    private String video;


    @ApiModelProperty("拍摄时间")
    @TableField("PHOTOGRAPH_TIME")
    private Date photographTime;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
