package com.iden.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 轨迹表(IdenTrace)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-24 14:55:25
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_trace")
@ApiModel(value = "轨迹表", description = "")
public class IdenTrace implements Serializable {
    private static final long serialVersionUID = 776029183432133610L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("图像编码")
    @TableField("IMAGE_CODE")
    private String imageCode;


    @ApiModelProperty("摄像头ID")
    @TableField("CAMERA_ID")
    private Long cameraId;


    @ApiModelProperty("小区ID")
    @TableField("COMMUNITY_ID")
    private Long communityId;


    @ApiModelProperty("抓拍时间")
    @TableField("PHOTOGRAPH_TIME")
    private Date photographTime;


    @ApiModelProperty("抓拍地点")
    @TableField("PHOTOGRAPH_PLACE")
    private String photographPlace;


    @ApiModelProperty("经度")
    @TableField("LONGITUDE")
    private Double longitude;


    @ApiModelProperty("维度")
    @TableField("LATITUDE")
    private Double latitude;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
