package com.iden.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 昼伏夜出人口识别预警统计表(IdenWarningEveningComeSta)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-22 20:19:16
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_warning_evening_come_sta")
@ApiModel(value = "昼伏夜出人口识别预警统计表", description = "")
public class IdenWarningEveningComeSta implements Serializable {
    private static final long serialVersionUID = 985331715970898803L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("所属小区id")
    @TableField("COMMUNITY_ID")
    private Long communityId;


    @ApiModelProperty("小区编号")
    @TableField("COMMUNITY_CODE")
    private String communityCode;


    @ApiModelProperty("小区名称")
    @TableField("COMMUNITY_NAME")
    private String communityName;


    @ApiModelProperty("所属区域")
    @TableField("DISTRICT")
    private String district;


    @ApiModelProperty("所属街道")
    @TableField("SUBDISTRICT")
    private String subdistrict;


    @ApiModelProperty("昼伏夜出人员总数")
    @TableField("EVENING_COME_COUNT")
    private Long eveningComeCount;

    @ApiModelProperty("数据日期")
    @TableField("DATA_DATE")
    private Date dataDate;

    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
