package com.iden.common.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class UserLogindConvertVO {

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("用户名")
    private String username;

    @ApiModelProperty("姓名")
    private String nickname;

    @ApiModelProperty("电话")
    private String phone;

    @ApiModelProperty("启用状态：0启用，1停用")
    private String validStatus;

    @ApiModelProperty("system:系统管理员")
    private String role;

}
