package com.iden.common.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


import java.io.Serializable;
import java.util.Date;

/**
 * 陌生人员识别预警统计表(IdenWarningStrangerSta)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-22 20:19:17
 */

@Data
@ApiModel(value = "陌生人员识别预警统计表", description = "")
public class WarningStrangerStaVO implements Serializable {
    private static final long serialVersionUID = 618456629263970444L;

    private Long id;


    @ApiModelProperty("所属小区id")
    private Long communityId;


    @ApiModelProperty("小区编号")
    private String communityCode;


    @ApiModelProperty("小区名称")
    private String communityName;


    @ApiModelProperty("所属区域")
    private String district;


    @ApiModelProperty("所属街道")
    private String subdistrict;


    @ApiModelProperty("陌生人总数")
    private Long strangerCount;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("数据日期")
    private Date dataDate;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("createTime")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("modifyTime")
    private Date modifyTime;


}
